Introduction to Advanced Excel Find & Replace

Advanced Excel Find & Replace is a COM add-in that enhances Excel's built-in Find dialog and allows you to search and replace through multiple worksheets and workbooks.

Features:

  • A single button on a toolbar for fast and convenient access;
  • Simultaneous search in Formulas, Values, and Comments;
  • Simplified replace routine;
  • Search in selection;
  • Return to original selection upon completing the search;
  • Select all or some of the resulting cells;
  • Simple installation and clean uninstallaton.


Using the add-in

How to use the software

You can search for information you want to review or edit.

How to find information?

  1. Select the range of cells you want to search in.
    To search through all workbooks and worksheets, click any cell.
  2. Click the Advanced Excel Find & Replace button on the toolbar.
  3. In the Find what edit box, type the information you want to search for.
  4. Deside if the search should be done in Comments, Formulas, or Values and check a corresponding option in the Look in section.
  5. In the Search in tab choose workbooks and worksheets you want to search in.
  6. If you want to search through all selected worksheets, click Find.
    If you want to search in the selected range, click the arrow next to the Find button and choose Find in selection.
    If you want to search among already found results, click the arrow next to the Find button and choose Find in results.

How to replace information?

  1. Find what you are going to replace (see "How to find information").
  2. In the Replace with edit box type the replacement characters.
  3. Select one or more rows in the Search results section and click the Replace button.

Tips

  • To see the found cell, click the corresponding row in the Search results section.
  • If you want to have one or several cells selected after the Advanced Excel Find & Replace dialog is closed:
    1. Select the appropriate rows in the Search results section
    2. Click the arrow next to the Close button and choose Select and close.
  • To select all found items click the arrow next to the Close button and choose Select all and close.
  • To return to the original position, click the arrow next to the Close button and choose Back to original selection.
  • If you want to replace all found items click the arrow next to the Replace button and choose Replace all.
  • If you double-click the value in the Search results section, you can make changes in the corresponding cell directly.
  • You can use a question mark (?) to match any single character or an asterisk (*) to match any string of characters. For example, sm?th finds "smith" and "smyth" and *east finds "Northeast" and "Southeast".


How to buy Advanced Excel Find & Replace

According to License Agreement, the trial version will work for 30 days. All evaluation restrictions will immediately cease once your copy is licensed.

To license your copy, visit our web site.


How to install and uninstall the software

To install the software.

Run advanced-excel-find-replace.exe and follow the instructions.
Restart Excel to see the add-in running.

To uninstall the software.

  1. Open Add/Remove programs in Control Panel.
  2. Click Change or Remove Programs, and then click Advanced Excel Find & Replace.
  3. To remove the add-in, click Change/Remove.


How to activate Advanced Excel Find & Replace

Activation process

Before starting the activation process you'll need to purchase the appropriate product key on the Buy page. You will receive an e-mail from Afalina Co., Ltd. with your personal product key. Please have this e-mail handy before running the activation process. To fully activate your copy, a special activation code, unique for your computer, needs to be downloaded from our server, so please make sure to establish Internet connection before starting this process.

Automatic Activation Process Information

  1. Run your Excel.
  2. Open Advanced Excel Find & Replace dialog window and press "About" button.
  3. In About window press the "Register" button to start the activation process.
  4. The activation wizard welcome screen has some important information and tips about the activation process, please read it carefully and press "Next" button.
  5. On step 2 choose "Automatic activation process". Press "Next" button.
  6. Enter your Registration Name (exactly as you entered it when buying the software) and Registration Code as received from Afalina Co., Ltd. by e-mail or on the registration page. The best way not to make a mistake entering this data is to use copy and paste (you can use CTRL+C hotkey to copy selected information to Windows clipboard and CTRL+V to paste it). Please make sure you are connected to the Internet before continuing. Press "Next" button.
  7. After verifying your registration name and registration code and downloading the activation code from our server Advanced Excel Find & Replace will congratulate you on successful activation. That's all. You have activated your copy of Advanced Excel Find & Replace.

If you failed by any reason to complete automatic activation process (on the step 3) you will be suggested to perform the activation manually. This process will not take much time. Please follow the instructions of the Activation Wizard - Manual activation process.

Manual Activation Process Information

Manual activation is similar to the Automatic activation process, but a part of actions you should perform manually (hence the name). You submit (via web with your browser) your Registration Code and Hardware ID and receive the activation code you should enter to Advanced Excel Find & Replace activation form.

Please note there's a difference between the registration code and the activation code. The registration code together with the Hardware ID is needed to obtain the activation code. Advanced Excel Find & Replace is activated only when the activation code is entered. Until that it behaves as unregistered version.

To obtain activation code manually do the following:

  1. Run your Excel.
  2. Open Advanced Excel Find & Replace dialog window and press "About" button.
  3. In About window press the "Register" button to start the activation process.
  4. The activation wizard welcome screen has some important information and tips about the activation process, please read it carefully and press "Next" button.
  5. On step 2 choose "Manual activation process". Press "Next" button.
  6. Enter your Registration Name and Registration Code in the corresponding fields.
  7. Click "Go" button in the Activation Wizard to try to obtain the activation code by the browser on this computer. You will see the page with your activation code. Copy it to clipboard and paste to Activation Code field of the Activation Wizard. Press "Next" button.
  8. If you failed to accomplish that, you can copy the Registration Code and Hardware ID to clipboard and then use it to access the web and obtain the activation code from the same or other computer:
    • Open activation page (http://www.activatesoft.net/user/activation.asp) in your browser.
    • Enter the Registration Code and Hardware ID to appropriate fields of the form. To avoid mistyping it is recommended to use "cut'n'paste". Press "Submit" button.
    • You will see the page with your activation code. Copy it to clipboard and paste to the appropriate field of the Activation Wizard. Press "Next" button.
  9. After verifying your Registration Name and Registration Code and Activation Code Advanced Excel Find & Replace will congratulate you on successful activation.


End-User License Agreement

AFALINA CO., LTD ADVANCED EXCEL FIND & REPLACE END-USER LICENSE AGREEMENT

You should carefully read the following terms and conditions before installing the software. By installing the software you indicate your acceptance of these terms and conditions.

This Afalina Co., Ltd ("AFALINA") End-User License Agreement ("EULA") is a legal agreement between you, either an individual or a single entity ("USER"), and AFALINA for all AFALINA SOFTWARE identified above and including computer software and associated media, printed materials, and "online" or electronic documentation ("SOFTWARE") contained in this installation file.

AFALINA grants to you as an individual, a personal, nonexclusive license to install, use, access, display, run, or otherwise interact with ("RUN") one copy of the SOFTWARE, or any prior version for the same operating system, on a single computer, workstation, terminal, handheld PC, pager, "smart phone," or other digital electronic device ("COMPUTER"). If you are an entity, you must designate one individual within your organization to license the right to use the SOFTWARE in the manner provided herein.

By installing, copying, or otherwise using the SOFTWARE, you agree to be bound by the terms of this EULA. If you do not agree to any part of the terms of this EULA, DO NOT INSTALL, USE, DISTRIBUTE IN ANY MANNER, OR REPLICATE IN ANY MANNER, ANY PART, FILE OR PORTION OF THE SOFTWARE. Immediately return it to place of purchase for a full refund.

RIGHTS
Installing the SOFTWARE. You may install and use one copy of the SOFTWARE, or any prior version legally licensed for the same operating system, on a single computer. The primary user of the computer on which the SOFTWARE is installed may make two additional copies of the SOFTWARE: a second copy for his or her exclusive use on a portable computer and a third copy for his or her exclusive use on a home computer. You acknowledge and agree that the SOFTWARE in source code form remains a confidential trade secret of AFALINA.

Transferring the SOFTWARE. You may transfer all of your rights to use the SOFTWARE to another person, provided that you transfer to that person all of the software, diskettes (if applicable), and documentation provided in this package (including this license agreement), and transfer or destroy all copies in any form. Remember, once you transfer the software, you no longer have any right to use it, and the person to whom it is transferred may use it only in accordance with the copyright law, international treaty, and this license.

Upgrading the SOFTWARE. If you have purchased an upgrade version of the Software, the original product together with the upgrade constitute a single license. The original Software and the upgrade Software cannot both be available for use by two different people at the same time, and cannot be transferred separately without written permission from AFALINA.

RESTRICTIONS
Limitations on Reverse Engineering, Decompilation, and Disassembly. You may not reverse engineer, decompile, or disassemble the SOFTWARE, except and only to the extent that such activity is expressly permitted by applicable law notwithstanding this limitation.

Separation of Components. The SOFTWARE is licensed as a single product. Its component parts may not be separated for use on more than one COMPUTER.

Trademarks. This EULA does not grant you any rights in connection with any trademarks or service marks of AFALINA.

Rental. You may not rent, lease, or lend the SOFTWARE.

Copyright. All title and copyrights in and to the SOFTWARE (including but not limited to any images, demos, source code, intermediate files, packages, photographs, distributables, animations, video, audio, music, text, and "applets" incorporated into the SOFTWARE the accompanying printed materials, and any copies of the SOFTWARE) are owned by AFALINA or its subsidiaries. The SOFTWARE is protected by copyright laws and international treaty provisions. Therefore, you must treat the SOFTWARE like any other copyrighted material except that you may install the SOFTWARE on a single computer provided you keep the original solely for backup or archival purposes. You may not copy the printed materials accompanying the SOFTWARE.

LIMITED WARRANTY
NO WARRANTIES. AFALINA expressly disclaims any warranty for the SOFTWARE. THE SOFTWARE AND ANY RELATED DOCUMENTATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NONINFRINGEMENT. THE ENTIRE RISK ARISING OUT OF USE OR PERFORMANCE OF THE SOFTWARE REMAINS WITH YOU. To the maximum extent permitted by applicable law, in no event shall AFALINA be liable for any special, incidental, indirect, or consequential damages whatsoever (including, without limitation, damages for loss of business profits, business interruption, loss of business information, or any other pecuniary loss) arising out of the use of or inability to use the SOFTWARE or the provision of or failure to provide Support Services, even if AFALINA has been advised of the possibility of such damages.

SUPPORT SERVICES
AFALINA may provide you with support services related to the SOFTWARE ("Support Services"). Use of Support Services is governed by the AFALINA policies and programs described in the user manual, in "on line" documentation and/or other AFALINA-provided materials. Any supplemental SOFTWARE code provided to you as part of the Support Services shall be considered part of the SOFTWARE and subject to the terms and conditions of this EULA. With respect to technical information you provide to AFALINA as part of the Support Services, AFALINA may use such information for its business purposes, including for SOFTWARE support and development. AFALINA will not utilize such technical information in a form that personally identifies you.

CUSTOMER REMEDIES
AFALINA's and its suppliers' entire liability and your exclusive remedy shall be, at AFALINA's option, either (a) return of the price paid, if any, or (b) repair or replacement of the SOFTWARE that does not meet AFALINA's Limited Warranty and which is returned to AFALINA with a copy of your receipt. This Limited Warranty is void if failure of the SOFTWARE has resulted from accident, abuse, or misapplication. Any replacement SOFTWARE will be warranted for the remainder of the original warranty period or thirty (30) days, whichever is longer.

MISCELLANEOUS
You may not sublicense, assign or transfer the license of the SOFTWARE. Any attempt to sublicense, assign or transfer any of the rights, duties or obligations hereunder is void. This agreement will be governed by the laws of the Republic of Belarus. Should you have any questions regarding this agreement, you may contact AFALINA by writing to Afalina Co., Ltd., 149 Barykina Str., Gomel, 246000, Republic of Belarus.

YOU ACKNOWLEDGE THAT YOU HAVE READ THIS AGREEMENT, UNDERSTAND IT AND AGREE TO BE BOUND BY ITS TERMS AND CONDITIONS. YOU FURTHER AGREE THAT IT IS THE COMPLETE AND EXCLUSIVE STATEMENT OF THE AGREEMENT BETWEEN US, WHICH SUPERSEDES ANY PROPOSAL OR PRIOR AGREEMENT, ORAL OR WRITTEN, AND ANY OTHER COMMUNICATIONS BETWEEN US RELATING TO THE SUBJECT MATTER OF THIS AGREEMENT.

Copyright © 2002-2003 AFALINA CO., LTD. All rights reserved.


Trial version limitation

Trial period is limited to 30 days. When this period is over, the add-in will inform you about this. To uninstall the add-in see How to install and uninstall Advanced Excel Find & Replace.


Other AbleBits.com products

XL Navigator

XL Navigator is a tool for navigating inside MS Excel. The add-in shows all opened Excel workbooks as a thoroughly organized catalogue and this allows you to navigate through workbooks and worksheets, drag workbooks through worksheets, insert, rename, delete, and resort workbooks and worksheets. The same can be done with Excel Names: you can move around Excel Names, rename them, find the lost ones, delete, etc. More details about XL Navigator add-in you can find here.

More Details...

Typos Finder

Typos Finder is an Excel add-in. We offer you an easy means to quickly introduce order into your Excel spreadsheets. Typos Finder will help you polish off all typos in your Excel workbook. The add-in searches for fuzzy duplicates in selected region. E.g. Typos Finder add-in will help you find and correct values: Bred O'Nil, Bred Onil, Brad Oneal and etc. See what types of values that can be found and corrected with Typos Finder.

More Details...

Advanced Excel Select

Advanced Excel Select is a tool for Microsoft Excel 2000, Excel XP (2002) and Excel 2003 that enriches the built-in Special Cells dialog and simplifies access to other Excel functionality. Cells containing conditional formats, formulas, comments, values you want to select can be found and selected by two clicks via a single dropdown menu on the Advanced Excel Select toolbar. All add-in's features are shown in the screenshot.

More Details...

ADX Toys XL

ADX Toys XL - a free COM add-in for Microsoft Excel 2000, Excel XP (2002) and Excel 2003. The add-in simplifies access to hidden Excel functionality such as vertical alignment of values, different kinds of cells merging. Plus, some of the worksheet options can be changed by one click via the ADX Toys XL toolbar.

More Details...

Complete Excel Names

Complete Excel Names is a free COM add-in for Microsoft Excel 2000, Excel XP (2002) and Excel 2003. It allows you to set the width of the Name Box in Excel.

More Details...

Auto BCC

Auto BCC is a Microsoft Outlook tool that allows routing your outgoing messages through fast and simple rules. The add-in directly integrates into Outlook's Outbox and automatically performs Blind Carbon Copy (BCC) or/and Carbon Copy (CC). It supports rules based on the Account Name, Subject, Attached file names and the To fields, supports multiple recipients and excludes duplicates from the To, CC and the BCC fields. See this Outlook tool in action.

More Details...

Attachment Alarm

Outlook Attachment Alarm is a MS Outlook 2000, Outlook 2002 (XP) and Outlook 2003 tool that will always remind you to add an attachment to your e-mail messages in case you forget to do it yourself.

Outlook Attachment Alarm is an easy to use add-in and requires no hard tuning. You specify the words and phrases that may occur in the message body and imply an attachment (e.g. "see attachment", "in attachment", etc.) and add these words to the Key words list.

More Details...

Outlook Backup

Outlook Backup is a backup and synchronization tool for MS Outlook 2000, 2002 (XP) and 2003. The tool allows you to backup and restore messages, address book, settings, accounts, message rules, junk e-mail lists, signatures, and even your internet favorites.

More Details...

Outlook Express Backup

Outlook Express Backup is an Outlook Express backup and synchronization tool. The tool allows you to backup and restore messages, address book, settings, mail and news accounts, message rules, blocked senders lists, signatures, stationeries, and even your favorites.

More Details...


Contact Us

You are welcome to contact us:
Support questions - support@ablebits.com
General questions - info@ablebits.com
Sales questions - sales@ablebits.com

Afalina Co., Ltd.


.topic 1010150
Enter the information you want to search for. You can use a question mark (?) to match any single character or an asterisk (*) to match any string of characters. For example, sm?th finds "smith" and "smyth" and *east finds "Northeast" and "Southeast".

.topic 1010200
Type the replacement characters you want to use to replace the characters in the "Find what" box. Note that the replacement can take place only when the search is complete.

.topic 1010250
Searches for all occurrence of the characters specified in the "Find what" edit box. All occurrence are placed to "Search results" page. To search in the selected range, click the arrow next to the "Find" button and choose "Find in selection".

.topic 1010300
Changes one or several selected values in the "Search results" section to the values specified in the "Replace with" edit box. To replace all found results click the arrow next to the "Replace" button and choose "Replace all".

.topic 1010350
Closes Find dialog box when you've completed your search. To leave one or more cells that meet the criteria selected upon closing the add-in:

1. Select appropriate rows in the "Search results" tab (use Shift and Control keys)

2. Click the arrow next to the "Close" button and choose "Select and close".

To select all found items click the arrow next to the "Close" button and choose "Select all and close". To move the screen to the cell or cells that stayed selected prior to using Advanced Excel Find & Replace, click the arrow next to the "Close" button and choose "Back to original selection".

.topic 1010550
Choose workbooks and worksheets you want to search in.

.topic 1010650
Check or uncheck worksheet elements that contain information to search for.

.topic 1010750
Click the direction you want to search. In most cases, it is faster to select by columns.

.topic 1010850
"Match Case" - distinguishes between uppercase and lowercase characters. "Match value" - searches for an exact and complete mach of characters specified in the "Find what" box.

.topic 1010950
Shows search results. To leave one or more cells that meet the criteria selected upon closing the add-in:

1. Select appropriate rows (use Shift and Control keys)

2. Click the arrow next to the "Close" button and choose "Select and close".

To select all found items click the arrow next to the "Close" button and choose "Select all and close".